Lone Wolf Development Forums  

Go Back   Lone Wolf Development Forums > Hero Lab Forums > HL - Pathfinder Roleplaying Game

Notices

Reply
 
Thread Tools Display Modes
Dianae
Member
 
Join Date: Feb 2014
Posts: 68

Old May 23rd, 2014, 10:37 AM
To be completely honest, this is one of those "but thou must"* AP's. If you follow the story line and all of the challenges it faces, your players will become Mythic, the challenges they face will need be Mythic, etc.

The only other option I could see with the Wrath of the Righteous sets is releasing them with an asterisk notating that this Campaign requires Mythic Adventures to use.


*the "but thou Must" is a reference to an old school RPG where you are technically given a choice, but choosing "no" just loops back to the question being asked again.


-edit: Also looking forward to this set for use, and also have Mythic Adventures. This might be one of those, "if they want the .por then they probably already have Mythic Adventures" I know we are few compared to the multitudes that would use the bestiary.


-edit2:

Just pulled up the Wrath Files and got the following Error Text

Quote:
One or more required sources are not accessible for hero 'Nulkineth'. Subsequent errors may be the result of this problem.
Pick 'tmHlDemon' has been orphaned due to missing thing in batch '701'
Chained pick 'wBite' has been orphaned due to missing bootstrap in batch '701'
Chained pick 'wClaw' has been orphaned due to missing bootstrap in batch '701'
Pick 'rcParNabas' has been orphaned due to missing thing in batch '702'
Pick 'raNabConFl' has been orphaned due to missing thing in batch '702'
Is that because the CB hasn't been updated (according to HL) yet?

Last edited by Dianae; May 23rd, 2014 at 10:58 AM. Reason: error
Dianae is offline   #21 Reply With Quote
ShadowChemosh
Senior Member
Volunteer Data File Contributor
 
Join Date: Jan 2010
Location: Chicago, IL (USA)
Posts: 10,694

Old May 23rd, 2014, 11:23 AM
Quote:
Originally Posted by Dianae View Post
The only other option I could see with the Wrath of the Righteous sets is releasing them with an asterisk notating that this Campaign requires Mythic Adventures to use.
If the problem was just the .por file not loading correctly then I would be ok. The issue is without the Mythic Adventures package the CB fails to load and forces HL into safe mode. Meaning ALL .user files/addons will be unusable.

Quote:
Originally Posted by Dianae View Post
Just pulled up the Wrath Files and got the following Error Text
Is that because the CB hasn't been updated (according to HL) yet?
Yes. I have lots of moving parts to do the update here and I uploaded the encounter files but I have not yet released the new version of the CB and the new CBM (Community Bestiary Mythic). Once updated with the new CBM those files will work.

Keep you eye in this post. Its coming very very very soon...

Hero Lab Resources:
Pathfinder - d20pfsrd and Pathfinder Pack Setup
3.5 D&D (d20) - Community Server Setup
5E D&D - Community Server Setup
Hero Lab Help - Hero Lab FAQ, Editor Tutorials and Videos, Editor & Scripting Resources.
Created by the community for the community
- Realm Works kickstarter backer (Alpha Wolf) and Beta tester.
- d20 HL package volunteer editor.
ShadowChemosh is offline   #22 Reply With Quote
Dianae
Member
 
Join Date: Feb 2014
Posts: 68

Old May 23rd, 2014, 01:50 PM
Quote:
Originally Posted by ShadowChemosh View Post
If the problem was just the .por file not loading correctly then I would be ok. The issue is without the Mythic Adventures package the CB fails to load and forces HL into safe mode. Meaning ALL .user files/addons will be unusable.
Oof. Had not thought that all the way through. Good call, and if this was one of the main issues with getting it all updated, I can understand the delays.

Quote:
Originally Posted by ShadowChemosh View Post
Yes. I have lots of moving parts to do the update here and I uploaded the encounter files but I have not yet released the new version of the CB and the new CBM (Community Bestiary Mythic). Once updated with the new CBM those files will work.

Keep you eye in this post. Its coming very very very soon...
Ooh ooh. I can barely wait!
Dianae is offline   #23 Reply With Quote
ShadowChemosh
Senior Member
Volunteer Data File Contributor
 
Join Date: Jan 2010
Location: Chicago, IL (USA)
Posts: 10,694

Old May 23rd, 2014, 02:17 PM
Ok the latest version of the Community Bestiary is out! You can read the full release notes HERE.

The big change is that the we have Addon Packs for the Community Bestiary now. Addon packs will be used in cases where only some of the community will require this additional functionality. In this case we didn't want to make "Mythic Adventures" be a required package to have the CB load. To get around this you must install the latest Community Bestiary and then also download the "CB – Mythic Addon" separately.

For more details about Addon Packs see THIS post.

So the short is after you update the CB then go to "Find Updates" and also download the "CB - Mythic Addon (vX.XX)" package. Once you have both installed you will be able to use the new Encounter Files for WotR.

-Download encounter files from d20pfsrd Repository:
--Chapter 1 to 3 Files.
--Chapter 4 to 6 Files.

Hero Lab Resources:
Pathfinder - d20pfsrd and Pathfinder Pack Setup
3.5 D&D (d20) - Community Server Setup
5E D&D - Community Server Setup
Hero Lab Help - Hero Lab FAQ, Editor Tutorials and Videos, Editor & Scripting Resources.
Created by the community for the community
- Realm Works kickstarter backer (Alpha Wolf) and Beta tester.
- d20 HL package volunteer editor.

Last edited by ShadowChemosh; May 23rd, 2014 at 02:59 PM.
ShadowChemosh is offline   #24 Reply With Quote
Dianae
Member
 
Join Date: Feb 2014
Posts: 68

Old May 23rd, 2014, 07:52 PM
Still getting the same error text, am I missing a check box somewhere?
Dianae is offline   #25 Reply With Quote
ShadowChemosh
Senior Member
Volunteer Data File Contributor
 
Join Date: Jan 2010
Location: Chicago, IL (USA)
Posts: 10,694

Old May 23rd, 2014, 08:46 PM
Quote:
Originally Posted by Dianae View Post
Still getting the same error text, am I missing a check box somewhere?
Which portfolio are you opening? I Prepared all the files for distribution before release and had no issues.

You do need both CB v2.21 and the "CB - Mythic Addon" v1.00 for these to work. You can check by going to Tools->Manage Third Party Updates to make sure CB v2.21 and the CB - Mythic v1.0 are both installed.

Hero Lab Resources:
Pathfinder - d20pfsrd and Pathfinder Pack Setup
3.5 D&D (d20) - Community Server Setup
5E D&D - Community Server Setup
Hero Lab Help - Hero Lab FAQ, Editor Tutorials and Videos, Editor & Scripting Resources.
Created by the community for the community
- Realm Works kickstarter backer (Alpha Wolf) and Beta tester.
- d20 HL package volunteer editor.

Last edited by ShadowChemosh; May 23rd, 2014 at 08:54 PM.
ShadowChemosh is offline   #26 Reply With Quote
Dianae
Member
 
Join Date: Feb 2014
Posts: 68

Old May 24th, 2014, 12:27 AM
I have CB v 2.21 and CB - Mythic Addon v1.00 the .por is D6 - Nulineth's Quarters (have not tried other .por files, yet.)
When opening up from within Hero Lab, I got the above error.

Quote:
Originally Posted by B - Vilareth Ford
One or more required sources are not accessible for hero 'Umestil'. Subsequent errors may be the result of this problem.
Pick 'rBrimorak' has been orphaned due to missing thing in batch '703'
Chained pick 'xImmElec' has been orphaned due to missing bootstrap in batch '703'
Chained pick 'xImmFire' has been orphaned due to missing bootstrap in batch '703'
Chained pick 'xVulCold' has been orphaned due to missing bootstrap in batch '703'
Chained pick 'fComCast' has been orphaned due to missing bootstrap in batch '703'
Chained pick 'fImpInit' has been orphaned due to missing bootstrap in batch '703'
Chained pick 'fWepFoc' has been orphaned due to missing bootstrap in batch '703'
Chained pick 'xTelepathy' has been orphaned due to missing bootstrap in batch '703'
Pick 'raBriBoilB' has been orphaned due to missing thing in batch '703'
Pick 'raBriBurnH' has been orphaned due to missing thing in batch '703'
Pick 'raBriFlamW' has been orphaned due to missing thing in batch '703'
Pick 'raBriSmokB' has been orphaned due to missing thing in batch '703'
Chained pick 'raDarkVis' has been orphaned due to missing bootstrap in batch '703'
Chained pick 'aaTeleport' has been orphaned due to missing bootstrap in batch '703'
Chained pick 'raBreath' has been orphaned due to missing bootstrap in batch '703'
Chained pick 'wHooves' has been orphaned due to missing bootstrap in batch '703'
Chained pick 'raSummon' has been orphaned due to missing bootstrap in batch '703'
I just updated to 5.2, but It might be my installation that is bugging out.
I'll try uninstalling and re installing Hero Lab

edit: Re-installed 5.2 and made sure to delete other instances of Hero Lab on my computer, still getting the orphaned errors

Last edited by Dianae; May 24th, 2014 at 12:49 AM.
Dianae is offline   #27 Reply With Quote
ShadowChemosh
Senior Member
Volunteer Data File Contributor
 
Join Date: Jan 2010
Location: Chicago, IL (USA)
Posts: 10,694

Old May 24th, 2014, 06:47 AM
So for monsters that already exist in Pathfinder we don't re-build them in the CB. So in this case its a "Demon, Brimorak" which is from Book of the Damned 2: Lords of Chaos. We won't re-create that monster just like we don't re-create a ghoul or a goblin.

So paizo often pulls these creatures from all over the place including the Midgard Campaign setting and Tome of Horrors IV for WotR. We did do the 3PP monsters but NOT the Paizo ones.

So just like for Reign of Winter required People of the North and Paths of Prestige for archetypes to completely use the .por files. The Wrath of the Righteous AP is going to have demons from the different Demon books and I think a few from B4 also.

So that is why your getting the above error as the "rBrimorak" can't be found.

Sorry about that....

Hero Lab Resources:
Pathfinder - d20pfsrd and Pathfinder Pack Setup
3.5 D&D (d20) - Community Server Setup
5E D&D - Community Server Setup
Hero Lab Help - Hero Lab FAQ, Editor Tutorials and Videos, Editor & Scripting Resources.
Created by the community for the community
- Realm Works kickstarter backer (Alpha Wolf) and Beta tester.
- d20 HL package volunteer editor.
ShadowChemosh is offline   #28 Reply With Quote
juballa
Junior Member
 
Join Date: May 2014
Posts: 5

Old May 28th, 2014, 05:32 AM
I'm getting an error when I attempt open 'Chapter 2 - Sword of Valor\Part 1 - Crusader's March\E2- The Swarming Chaos.por'. Screenshot attached. After the error appears and is dismissed, the resulting editor looks like a new character. (Well, two new characters, Vescavor Swarm #1 and #2, both essentially blank.)

Any help greatly appreciated.

Installed:
Hero Lab 5.2
Community Bestiary Package v2.21
CB - Mythic Addon v1.0
Pathfinder RPG: Advanced Race Guide, Advanced Player's Guide, Bestiary 1, 2, 3, Campaign Setting #1-5, 10, Core, Mythic Adventures, Companion Races #1-2, Companion Regions #1-2, Ultimate Campaign, Ultimate Combat, Ultimate Equipment, Ultimate Magic
Attached Images
File Type: png HL Error.png (128.2 KB, 2 views)
juballa is offline   #29 Reply With Quote
ShadowChemosh
Senior Member
Volunteer Data File Contributor
 
Join Date: Jan 2010
Location: Chicago, IL (USA)
Posts: 10,694

Old May 28th, 2014, 10:27 AM
So some info on reading the error messages. The monster name is "vescavor swarm" and its Unique ID is "rVescaSwrm" and it has no "CB" or "AP78" in it which means its from LW. If it was community created it would have been like "rCBVescSwr" or "rAP78VeSw" in example.

So if we look up "Vescavor Swarm" on d20pfsrd we see its from "Pathfinder Campaign Setting: Lost Kingdoms".

So you will need that Official package to correctly open up the .por file.

Hero Lab Resources:
Pathfinder - d20pfsrd and Pathfinder Pack Setup
3.5 D&D (d20) - Community Server Setup
5E D&D - Community Server Setup
Hero Lab Help - Hero Lab FAQ, Editor Tutorials and Videos, Editor & Scripting Resources.
Created by the community for the community
- Realm Works kickstarter backer (Alpha Wolf) and Beta tester.
- d20 HL package volunteer editor.
ShadowChemosh is offline   #30 Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -8. The time now is 08:08 PM.


Powered by vBulletin® - Copyright ©2000 - 2019, vBulletin Solutions, Inc.
wolflair.com copyright ©1998-2016 Lone Wolf Development, Inc. View our Privacy Policy here.